> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dintero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List settlements

> List settlements

*scopes*:
  - admin:billing
  - read:billing
  - admin:reports
  - read:reports
  - admin:settlements
  - read:settlements




## OpenAPI

````yaml /mintlify-docs/openapi/spec-billing.yaml get /accounts/{aid}/settlements
openapi: 3.0.0
info:
  title: Billing API
  contact:
    name: API Integration Support
    email: integration@dintero.com
  description: >
    # Changelog

    All notable changes to the API.


    ## 2025-12-15


    > **new** Add new endpoint to trigger generating settlement report in test.

    > - [POST
    /v1/accounts/{aid}/settlements/reports/generate-test-report](/api-reference/settlements/aid_settlement_generate_test_report)


    ## 2025-10-01


    > Extend billing subscription price definition with optional `price_model`

    > field. The field can be used to define how the price is applied

    > - [GET
    /v1/accounts/{aid}/billing/subscriptions](/billing-api/subscriptions/aid_billing_subscriptions_get)


    > Add support for filtering subscriptions by dimensions

    > - [GET
    /v1/accounts/{aid}/billing/subscriptions](/billing-api/subscriptions/aid_billing_subscriptions_get)


    ## 2024-12-20


    > Add support for filtering settlements by `item_created_at.gte`

    > and `item_created_at.lte`. The new filter enables getting list of
    settlement

    > by when they was created, the existing support for
    `created_at.gte`/`created_at.lte`

    > filters by when they was settled (`settled_at`)

    > - [GET
    /v1/accounts/{aid}/settlements](/api-reference/settlements/aid_settlements_list)


    ## 2024-06-01

    > Add pagination to report configuration listing

    > - [GET
    /v1/accounts/{aid}/settlements/reports/configuration](/api-reference/settlementsconfiguration/aid_settlement_report_config_list)


    ## 2023-04-01

    > **new** Add filter on `namespace` and `currency`

    > - [GET
    /v1/accounts/{aid}/billing/subscriptions](/billing-api/subscriptions/aid_billing_subscriptions_get)


    ## 2022-06-01


    > **new** Add filter on `payout_destination_id`

    > - [GET
    /v1/accounts/{aid}/settlements](/api-reference/settlements/aid_settlements_list)


    ## 2022-04-01


    > **new** Add possibility to delete report configurations

    > - [DELETE
    /v1/accounts/{aid}/settlements/reports/configuration/{configuration_id}](/api-reference/settlementsconfiguration/aid_settlement_report_config_delete)


    > **new** Add `destination_type: email` and support filter on
    `payout_destination_id` on settlement report configs

    > - [POST
    /v1/accounts/{aid}/settlements/reports/configuration](/api-reference/settlementsconfiguration/aid_settlement_report_config_create)

    > - [GET
    /v1/accounts/{aid}/settlements/reports/configuration](/api-reference/settlementsconfiguration/aid_settlement_report_config_list)

    > - [PUT
    /v1/accounts/{aid}/settlements/reports/configuration/{configuration_id}](/api-reference/settlementsconfiguration/aid_settlement_report_config_list)


    ## 2020-12-01


    > **new** Support filter user payout rules with `include_deleted` query
    parameter.

    > - [GET
    /v1/accounts/{aid}/billing/payout-rules?include_deleted=false](/billing-api/payoutrules/aid_billing_payout_rules_get)


    ## 2020-05-01


    > **[Payout Rules](#tag/payout.rules)**

    > Add new endpoint for managing Payout rules.
  version: LATEST
  license:
    name: UNLICENSED
    url: https://dintero.com
  x-logo:
    url: https://docs.dintero.com/img/dintero-dark-padded.svg
    altText: Dintero Logo
servers:
  - url: https://api.dintero.com/v1
security:
  - JWT: []
tags:
  - name: payout.rules
    x-displayName: Rules
    description: Manage payout rules
  - name: reports
    x-displayName: Reports
    description: Get billing reports
  - name: subscriptions
    x-displayName: Plans
    description: Get subscription plans
  - name: settlements
    x-displayName: Reports
    description: Get settlement reports
  - name: settlements.configuration
    x-displayName: Configuration
    description: Configure settlement reports
paths:
  /accounts/{aid}/settlements:
    get:
      tags:
        - settlements
      summary: aid_settlements_list
      description: |
        List settlements

        *scopes*:
          - admin:billing
          - read:billing
          - admin:reports
          - read:reports
          - admin:settlements
          - read:settlements
      operationId: aid_settlements_list
      parameters:
        - $ref: '#/components/parameters/accountId'
        - name: limit
          in: query
          description: |
            A limit on the number of objects to be returned. Limit can range
            between 1 and 1000 items, and the default is 10 items.
          schema:
            type: integer
            minimum: 1
            maximum: 1000
            default: 10
        - name: starting_after_id
          in: query
          description: >
            cursor for use in pagination. starting_after_id is an object ID

            that defines your place in the list, included in the
            `last_evaluated_key`.


            For instance, if you make a list request and receive 100 objects,

            ending with `obj_foo` and `settled_at=2021-02-02`, your subsequent
            call

            can include
            `starting_after_id=obj_foo&starting_after_date=2021-02-02` in

            order to fetch the next page of the list.


            > Note that you need to use the `created_at` as value for
            `starting_after_date`

            > if used in combination with `item_created_at.gte` or
            `item_created_at.lte`


            Must be used together with `starting_after_date`
          required: false
          schema:
            type: string
        - name: starting_after_date
          in: query
          description: >
            cursor for use in pagination.

            starting_after_date is the `settled_at` or `created_at` from the

            `last_evaluated_key` that defines your place in the list.

            For instance, if you make a list request and receive 100 objects,

            ending with `obj_foo` and `settled_at=2021-02-02`, your subsequent

            call can include
            `starting_after_id=obj_foo&starting_after_date=2021-02-02`

            in order to fetch the next page of the list.


            Must be used together with `starting_after_id`
          required: false
          schema:
            type: string
        - name: created_at.gte
          in: query
          description: Settlement created after, the `settled_at` value
          schema:
            type: string
            format: date
        - name: created_at.lte
          in: query
          description: Settlement created before a date, the `settled_at` value
          schema:
            type: string
            format: date
        - name: item_created_at.gte
          in: query
          description: |
            Filter by Settlement `created_at` value, cannot be combined
            with `created_at.gte` query parameter
          schema:
            type: string
            format: date
        - name: item_created_at.lte
          in: query
          description: |
            Filter by Settlement `created_at` value, cannot be combined
            with `created_at.lte` query parameter
          schema:
            type: string
            format: date
        - name: payment_provider
          in: query
          description: The payment provider
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: payout_destination_id
          in: query
          description: The seller id to filter on
          schema:
            type: string
        - name: search
          in: query
          description: Will try to match the search to settlement_id.
          schema:
            type: string
      responses:
        '200':
          $ref: '#/components/responses/SettlementsList'
        '400':
          description: |
            Bad request - invalid filters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '500':
          $ref: '#/components/responses/ServerError'
      servers:
        - url: https://api.dintero.com/v1
components:
  parameters:
    accountId:
      name: aid
      description: |
        An id that uniquely identifies the account.
      in: path
      required: true
      schema:
        type: string
        format: ^[PT]{1}\d{8}$
        minLength: 9
        maxLength: 9
  responses:
    SettlementsList:
      description: Settlements List
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/SettlementResponse'
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Forbidden:
      description: Forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    ServerError:
      description: Unexpected Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Error:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - message
          properties:
            code:
              type: string
              description: The code used to identify the error/warning
            errors:
              type: array
              description: The nested error(s) encountered during validation
              items:
                type: object
            message:
              type: string
              description: The human readable description of the error/warning
    SettlementResponse:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/SettlementItem'
        last_evaluated_key:
          type: object
          description: >
            Details included for use in pagination. Use the value of
            `settled_at`|

            or `created_at` and `id` as `starting_after_id` and
            `starting_after_date`

            parameter to retrieve the next page of settlements.
          properties:
            id:
              type: string
            account_id:
              type: string
            settled_at:
              type: string
              format: datetime
            created_at:
              type: string
              format: datetime
              description: >
                Included when filtering by `item_created_at.gte` and/or

                `item_created_at.lte`, the value to use for
                `starting_after_date`
    SettlementItem:
      type: object
      properties:
        id:
          type: string
          description: |
            Unique identifier for the settlement
        start_at:
          type: string
          format: datetime
          description: Time of first payment event in this settlement
        end_at:
          type: string
          format: datetime
          description: Time of last payment event in this settlement
        created_at:
          type: string
          format: datetime
        updated_at:
          type: string
          format: datetime
        settled_at:
          type: string
          format: datetime
          description: Settlement date
        email_received_at:
          type: string
          description: Time of email received in Dintero's system
        provider:
          type: string
          description: Name of payment provider.
        provider_reference:
          type: string
          description: The provider's unique id of the settlement
        attachments:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                description: Unique id of the attachment
              key:
                type: string
                description: Attachment path
              content_type:
                type: string
                example: application/xml
              extension:
                type: string
              created_by:
                type: string
                description: >
                  Where the attachment was created. Might be created by dintero,

                  or might be created by the providers, e.g. payex, vipps,
                  collector
                example: payex
        amounts:
          type: array
          items:
            type: object
            properties:
              amount:
                type: number
                description: |
                  The amount paid out, unless payment_status is postponed.

                  `amount = capture - refund - fee`
              capture:
                type: number
                description: |
                  The amount captured on the orders in the settlement period.
              refund:
                type: number
                description: |
                  The amount refunded on the orders in the settlement period.
              fee:
                type: number
                description: |
                  The sum of fees on the orders in the settlement period.
              currency:
                type: string
                format: iso4217-code
                example: NOK
        payment_status:
          type: string
          description: |
            Whether the amount in the report has actually been paid or not.
            The payment might be postponed for later.
          enum:
            - paid
            - postponed
        store_id:
          type: string
          description: |
            The sales location this report is for. Will only be set if all
            transactions share the same store_id.
        payout_destination_id:
          type: string
          description: |
            The seller id this report is for. Will only be set if all
            transactions share the same payout_destination_id.
  securitySchemes:
    JWT:
      type: http
      description: >
        Bearer authentication (token authentication) should be used for
        accessing the API.


        Use [Get Token](/api-reference/authenticate/aid_auths_oauth_token_post)
        to get an access token for client credentials.

        Pass the token in the request header:

            Authorization: Bearer {access_token}

        where the **access_token** is JSON Web Tokens (JWT).
      scheme: bearer
      bearerFormat: JWT

````